You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@hbase.apache.org by st...@apache.org on 2015/12/03 19:05:14 UTC

hbase git commit: HBASE-14772 Improve zombie detector; be more discerning; part2; addendum -- export JIRA_COMMENT so subshell zombie detector picks up current content

Repository: hbase
Updated Branches:
  refs/heads/master 69658ea4a -> a154ecda0


HBASE-14772 Improve zombie detector; be more discerning; part2; addendum -- export JIRA_COMMENT so subshell zombie detector picks up current content


Project: http://git-wip-us.apache.org/repos/asf/hbase/repo
Commit: http://git-wip-us.apache.org/repos/asf/hbase/commit/a154ecda
Tree: http://git-wip-us.apache.org/repos/asf/hbase/tree/a154ecda
Diff: http://git-wip-us.apache.org/repos/asf/hbase/diff/a154ecda

Branch: refs/heads/master
Commit: a154ecda00d9d9a58e83d322dae7ffd3518b633c
Parents: 69658ea
Author: stack <st...@apache.org>
Authored: Thu Dec 3 10:05:05 2015 -0800
Committer: stack <st...@apache.org>
Committed: Thu Dec 3 10:05:05 2015 -0800

----------------------------------------------------------------------
 dev-support/test-patch.sh | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/hbase/blob/a154ecda/dev-support/test-patch.sh
----------------------------------------------------------------------
diff --git a/dev-support/test-patch.sh b/dev-support/test-patch.sh
index f9ecd6e..0a731a7 100755
--- a/dev-support/test-patch.sh
+++ b/dev-support/test-patch.sh
@@ -849,6 +849,8 @@ runTests () {
   export MAVEN_OPTS="${MAVEN_OPTS}"
   ulimit -a
   $MVN clean test -Dsurefire.rerunFailingTestsCount=2 -P runAllTests -D${PROJECT_NAME}PatchProcess
+  # Need to export this so the zombie subshell picks up current content
+  export JIRA_COMMENT
   if [[ $? != 0 ]] ; then
      ### Find and format names of failed tests
      failed_tests=`find . -name 'TEST*.xml' | xargs $GREP  -l -E "<failure|<error" | sed -e "s|.*target/surefire-reports/TEST-|                  |g" | sed -e "s|\.xml||g"`
@@ -858,17 +860,14 @@ runTests () {
      {color:red}-1 core tests{color}.  The patch failed these unit tests:
      $failed_tests"
      BAD=1
+     JIRA_COMMENT=`$BASEDIR/dev-support/zombie-detector.sh ${BUILD_ID}`
   else
     JIRA_COMMENT="$JIRA_COMMENT
 
     {color:green}+1 core tests{color}.  The patch passed unit tests in $modules."
-    BAD=0
+     JIRA_COMMENT=`$BASEDIR/dev-support/zombie-detector.sh ${BUILD_ID}`
+    BAD=$?
   fi
-  # NOTE!!!! The below code has been copied and pasted up into jenkins as an post-build task.
-  # Make sure to update it too if you change the below (Or extract below into script to checkout
-  # to run post-build)
-  JIRA_COMMENT=`$BASEDIR/dev-support/zombie-detector.sh ${BUILD_ID}`
-  BAD=$?
 }
 
 ###############################################################################